Bug 1283359 - [abrt] texstudio: qglx_findConfig(): texstudio killed by SIGSEGV
[abrt] texstudio: qglx_findConfig(): texstudio killed by SIGSEGV
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: texstudio (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: hannes
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:7e3b1ad97e4f9a1d0e728d8bcd2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-18 14:39 EST by William Gabella
Modified: 2016-12-20 13:19 EST (History)
1 user (show)

See Also:
Fixed In Version: texstudio-2.11.2-3.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 11:04:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.85 KB, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: cgroup (190 bytes, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: core_backtrace (3.46 KB, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: dso_list (15.82 KB, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: environ (2.22 KB, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: exploitable (82 bytes, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: limits (1.29 KB, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: maps (77.01 KB, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: mountinfo (3.59 KB, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: namespaces (85 bytes, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: open_fds (656 bytes, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: proc_pid_status (1021 bytes, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details
File: var_log_messages (326 bytes, text/plain)
2015-11-18 14:39 EST, William Gabella
no flags Details

  None (edit)
Description William Gabella 2015-11-18 14:39:05 EST
Description of problem:
I started the program from Gnome's program search (super button, then type in the program name) and it crashed.

Version-Release number of selected component:
texstudio-2.10.4-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        texstudio
crash_function: qglx_findConfig
executable:     /usr/bin/texstudio
global_pid:     15699
kernel:         4.2.5-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 qglx_findConfig at glxconvenience/qglxconvenience.cpp:157
 #1 qglx_findVisualInfo at glxconvenience/qglxconvenience.cpp:192
 #2 QXcbWindow::create at qxcbwindow.cpp:459
 #3 QXcbIntegration::createPlatformWindow at qxcbintegration.cpp:201
 #4 QWindowPrivate::create at kernel/qwindow.cpp:391
 #5 QWindow::create at kernel/qwindow.cpp:547
 #6 QWidgetPrivate::create_sys at kernel/qwidget.cpp:1454
 #7 QWidget::create at kernel/qwidget.cpp:1318
 #8 QWidget::setVisible at kernel/qwidget.cpp:8057
 #9 TexstudioApp::init at main.cpp:64
Comment 1 William Gabella 2015-11-18 14:39:08 EST
Created attachment 1096238 [details]
File: backtrace
Comment 2 William Gabella 2015-11-18 14:39:09 EST
Created attachment 1096239 [details]
File: cgroup
Comment 3 William Gabella 2015-11-18 14:39:10 EST
Created attachment 1096240 [details]
File: core_backtrace
Comment 4 William Gabella 2015-11-18 14:39:11 EST
Created attachment 1096241 [details]
File: dso_list
Comment 5 William Gabella 2015-11-18 14:39:12 EST
Created attachment 1096242 [details]
File: environ
Comment 6 William Gabella 2015-11-18 14:39:12 EST
Created attachment 1096243 [details]
File: exploitable
Comment 7 William Gabella 2015-11-18 14:39:13 EST
Created attachment 1096244 [details]
File: limits
Comment 8 William Gabella 2015-11-18 14:39:14 EST
Created attachment 1096245 [details]
File: maps
Comment 9 William Gabella 2015-11-18 14:39:15 EST
Created attachment 1096246 [details]
File: mountinfo
Comment 10 William Gabella 2015-11-18 14:39:16 EST
Created attachment 1096247 [details]
File: namespaces
Comment 11 William Gabella 2015-11-18 14:39:17 EST
Created attachment 1096248 [details]
File: open_fds
Comment 12 William Gabella 2015-11-18 14:39:18 EST
Created attachment 1096249 [details]
File: proc_pid_status
Comment 13 William Gabella 2015-11-18 14:39:19 EST
Created attachment 1096250 [details]
File: var_log_messages
Comment 14 Fedora Update System 2016-10-24 22:21:44 EDT
texstudio-2.11.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7286701c0f
Comment 15 Fedora Update System 2016-11-01 16:16:39 EDT
texstudio-2.11.2-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-7286701c0f
Comment 16 Fedora Update System 2016-11-04 23:30:46 EDT
texstudio-2.11.2-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-7286701c0f
Comment 17 Fedora End Of Life 2016-11-24 08:33:32 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 18 Fedora Update System 2016-12-11 15:06:02 EST
texstudio-2.11.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c07a73a5d
Comment 19 Fedora Update System 2016-12-13 00:28:08 EST
texstudio-2.11.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1c07a73a5d
Comment 20 Fedora End Of Life 2016-12-20 11:04:02 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 21 Fedora Update System 2016-12-20 13:19:07 EST
texstudio-2.11.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.